View Issue Details

IDProjectCategoryView StatusLast Update
0003864SOGoBackend Calendarpublic2016-11-01 14:53
Reporterjanne Assigned Tofrancis  
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Fixed in Version3.2.1 
Summary0003864: Recurrent task not working properly, getting Proxy Error in the web interface.
Description

To confirm the issue, I installed ZEG-3.2.0 in VirtualBox on my Ubuntu 14.04 Desktop machine.

When I create a recurring task (daily) in Thunderbird, that has a reminder set (0 minutes before), I get an error when trying to complete it:

    An error occurred when writing to the calendar ZEG!
    Error code: MODIFICATION_FAILED
    Description: Status Code: 2147746065, The request cannot be processed.

    Server Replied with 502

(Also, a yellow warning triangle is shown in Thunderbird to the right of the calendar, and hoovering above it with the cursor shows "The calendar ZEG is momentarily not available. Synchronizing the calendar removes the warning.)

When I create a recurring task in Thunderbird, that has no reminder set, complete one of them, and views the tasks in the web interface, I get the Proxy error popup and the busy spinning round icon never stops spinning. If I then delete the recurrent task in Thunderbird, and updates the web interface, the busy icon disappears and there is no Proxy error popup.

When I create a recurring task in Thunderbird, that has no reminder set, complete one of them, and then try to set a reminder on the recurrent task, I get the same error as above.

I have also noted that it is not possible to create a recurrent task in the web interface.

I'm using Thunderbird 45.3.0 with Ligtning 4.7 and SOGo Connector 31.0.3 on Ubuntu 14.04 and I used the CalDAV URL (http://192.168.0.191/SOGo/dav/sogo1/Calendar/personal/) to access the calendar, giving it the name ZEG.

Steps To Reproduce

Install Ubuntu 14.04 Desktop 64 bit.
Install Thunderbird.
Install Add-on SOGo Connector 31.0.3 in Thunderbird.
Install VirtualBox.
Install ZEG-3.2.0 in VirtualBox.
Start ZEG.
Add calendar (name it ZEG, URL http://xxx.xxx.xxx.xxx/SOGo/dav/sogo1/Calendar/personal/ to Thunderbird Lightning.
Then follow the description.

TagsNo tags attached.

Activities

cpotter

cpotter

2016-10-30 17:39

reporter   ~0010798

We confirm this exact behavior (bug) with CentOS 6.5 and sogo V3 nightly

Additional note: it is also impossible to create a recurring task in SOGO web interface.

Therefore recurring tasks can't be used in SOGo at all

Related Changesets

sogo: master 1ee76934

2016-11-01 14:52:18

francis

Details Diff
Fix support for recurrent tasks (cont'd)

Fixes 0003864
Affected Issues
0003864
mod - NEWS Diff File
mod - SoObjects/Appointments/SOGoAppointmentFolder.m Diff File
mod - SoObjects/Appointments/iCalToDo+SOGo.m Diff File
mod - UI/Templates/SchedulerUI/UIxCalMainView.wox Diff File
mod - UI/Templates/SchedulerUI/UIxTaskEditorTemplate.wox Diff File
mod - UI/WebServerResources/js/Scheduler/Component.service.js Diff File

Issue History

Date Modified Username Field Change
2016-10-21 13:46 janne New Issue
2016-10-30 17:39 cpotter Note Added: 0010798
2016-11-01 14:52 francis Changeset attached => sogo master 1ee76934
2016-11-01 14:52 francis Assigned To => francis
2016-11-01 14:52 francis Resolution open => fixed
2016-11-01 14:53 francis Status new => resolved
2016-11-01 14:53 francis Fixed in Version => 3.2.1